Create Tool
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tools \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"tool_type_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"secret_key": "<string>",
"additional_info": {},
"prompt": "<string>",
"input_schema": {},
"sources_restrictions": [
"<string>"
],
"strict_mode": false,
"forward_user_auth": false,
"admin_tags": [
"<string>"
],
"required_permissions": [
"<string>"
]
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tools"
payload = {
"name": "<string>",
"tool_type_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"secret_key": "<string>",
"additional_info": {},
"prompt": "<string>",
"input_schema": {},
"sources_restrictions": ["<string>"],
"strict_mode": False,
"forward_user_auth": False,
"admin_tags": ["<string>"],
"required_permissions": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tool_type_id: '<string>',
display_name: '<string>',
description: '<string>',
secret_key: '<string>',
additional_info: {},
prompt: '<string>',
input_schema: {},
sources_restrictions: ['<string>'],
strict_mode: false,
forward_user_auth: false,
admin_tags: ['<string>'],
required_permissions: ['<string>']
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"object": "tool",
"display_name": "<string>",
"description": "<string>",
"tool_type": {
"id": "<string>",
"name": "<string>",
"class_name": "<string>",
"object": "tool_type",
"description": "<string>",
"additional_info_schema": {},
"prompt": "<string>"
},
"additional_info": {},
"prompt": "<string>",
"input_schema": {},
"strict_mode": false,
"forward_user_auth": false,
"sources_restrictions": [],
"admin_tags": [],
"required_permissions": []
}Tools
Create Tool
Create a new tool.
POST
/
api
/
v1
/
tools
Create Tool
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/tools \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "<string>",
"tool_type_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"secret_key": "<string>",
"additional_info": {},
"prompt": "<string>",
"input_schema": {},
"sources_restrictions": [
"<string>"
],
"strict_mode": false,
"forward_user_auth": false,
"admin_tags": [
"<string>"
],
"required_permissions": [
"<string>"
]
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/tools"
payload = {
"name": "<string>",
"tool_type_id": "<string>",
"display_name": "<string>",
"description": "<string>",
"secret_key": "<string>",
"additional_info": {},
"prompt": "<string>",
"input_schema": {},
"sources_restrictions": ["<string>"],
"strict_mode": False,
"forward_user_auth": False,
"admin_tags": ["<string>"],
"required_permissions": ["<string>"]
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tool_type_id: '<string>',
display_name: '<string>',
description: '<string>',
secret_key: '<string>',
additional_info: {},
prompt: '<string>',
input_schema: {},
sources_restrictions: ['<string>'],
strict_mode: false,
forward_user_auth: false,
admin_tags: ['<string>'],
required_permissions: ['<string>']
})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"name": "<string>",
"object": "tool",
"display_name": "<string>",
"description": "<string>",
"tool_type": {
"id": "<string>",
"name": "<string>",
"class_name": "<string>",
"object": "tool_type",
"description": "<string>",
"additional_info_schema": {},
"prompt": "<string>"
},
"additional_info": {},
"prompt": "<string>",
"input_schema": {},
"strict_mode": false,
"forward_user_auth": false,
"sources_restrictions": [],
"admin_tags": [],
"required_permissions": []
}Authorizations
Body
application/json
Schema for creating a tool via the v1 API.
Response
201 - application/json
Created
Response schema for tools.
Response schema for tool types.
Show child attributes
Show child attributes
